#PRAS - Pablo Rest API Standard
Instalación

```npm
npm install --save git+ssh://pablo@git.pablo.by:pablo/pablo-rest-api-standard.git
```

Importar la lib

```
//Import section
import PRAS from 'pablo-rest-api-standard';
```


Inicializar la app express

```
const app = express();
//Rest of the code...
```

Antes de incluir cualquiera de las rutas

```
app.use(PRAS.responseMiddleware());


app.get('/', (req, res) => {});
//Rest of the code...
```

En los controladores se tienen metodos auxiliares para los posibles tipos de respuesta, no hay parámetros requeridos.

* Respuesta OK `PRAS.ok(message, data, code, extra)` 

* Respuesta Creación `PRAS.created(message, data, code, extra)` 

* Respuesta parámetros inválidos `PRAS.badRequest(message, data, code, extra)` 

* Respuesta autorización requerida `PRAS.unauthorized(message, data, code, extra)` 

* Respuesta sin permiso `PRAS.forbidden(message, data, code, extra)` 

* Respuesta recurso no encontrado `PRAS.notFound(message, data, code, extra)` 

* Respuesta de error en el servidor `PRAS.serverError(message, data, code, extra)` 

