declare module "@pablo/pablo-rest-api-standard" {
  const PRAS: {
    responseMiddleware(): (req: any, resp: any, next?: () => void) => void;
  };
  export default PRAS;
}
declare namespace Express {
  export interface Response {
    pras: {
      ok(message: string, data?: any, code?: string, extra?: any): void;
      created(message: string, data?: any, code?: string, extra?: any): void;
      badRequest(message: string, data?: any, code?: string, extra?: any): void;
      unauthorized(
        message: string,
        data?: any,
        code?: string,
        extra?: any
      ): void;
      forbidden(message: string, data?: any, code?: string, extra?: any): void;
      notFound(message: string, data?: any, code?: string, extra?: any): void;
      serverError(
        message: string,
        data?: any,
        code?: string,
        extra?: any
      ): void;
      customMessage(
        message: string,
        data?: any,
        code?: string,
        extra?: any
      ): void;
    };
  }
}
